- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::Verifier Class Referenceabstract

An asynchronous interface that verifies recipient 'to' addresses. More...

`#include <gverifier.h>`

Inheritance diagram for GSmtp::Verifier:

## Public Member Functions
virtual void | verify (const std::string &rcpt_to_parameter, const std::string &mail_from_parameter, const GNet::Address &client_ip, const std::string &auth_mechanism, const std::string &auth_extra)=0
| Checks a recipient address and asynchronously returns a structure to indicate whether the address is a local mailbox, what the full name is, and the canonical address. More...
virtual G::Signal2< std::string, VerifierStatus > & | doneSignal ()=0
| Returns a signal that is emit()ed when the verify() request is complete. More...
virtual void | reset ()=0
| Aborts any current processing. More...
virtual | ~Verifier ()
| Destructor. More...

## Detailed Description

An asynchronous interface that verifies recipient 'to' addresses.

This functionality is used in the VRFY and RCPT commands in the SMTP server-side protocol.

See also
  GSmtp::ServerProtocol

Definition at line 44 of file gverifier.h.

## Constructor & Destructor Documentation

GSmtp::Verifier::~Verifier | ( |  | ) |
| virtual

Destructor.

Definition at line 25 of file gverifier.cpp.

## Member Function Documentation

virtual G::Signal2<std::string,VerifierStatus>& GSmtp::Verifier::doneSignal | ( |  | ) |
| pure virtual

Returns a signal that is emit()ed when the verify() request is complete.

The first signal parameter is the mailbox name (ie. rcpt_to_parameter).

Implemented in GSmtp::NetworkVerifier, GSmtp::InternalVerifier, and GSmtp::ExecutableVerifier.

Referenced by GSmtp::ServerProtocol::ServerProtocol().

virtual void GSmtp::Verifier::reset | ( |  | ) |
| pure virtual

Aborts any current processing.

Implemented in GSmtp::NetworkVerifier, GSmtp::InternalVerifier, and GSmtp::ExecutableVerifier.

virtual void GSmtp::Verifier::verify | ( | const std::string & | rcpt_to_parameter,
|  | const std::string & | mail_from_parameter,
|  | const GNet::Address & | client_ip,
|  | const std::string & | auth_mechanism,
|  | const std::string & | auth_extra
| ) |  |
| pure virtual

Checks a recipient address and asynchronously returns a structure to indicate whether the address is a local mailbox, what the full name is, and the canonical address.

The 'mail-from' address is passed in for RCPT commands, but not VRFY.

Throws an AbortRequest if the verifier wants to terminate the connection.

Implemented in GSmtp::NetworkVerifier, GSmtp::InternalVerifier, and GSmtp::ExecutableVerifier.

The documentation for this class was generated from the following files:

- gverifier.h
- gverifier.cpp